﻿using System;
using System.Linq;
using System.ServiceModel.Syndication;
using System.Xml;

namespace NET35RSS
{

    class Program
    {
        static void Main()
        {
            SyndicationFeed feed;

            // lecture du flux RSS
            using (var r = XmlReader.Create("http://www.e-naxos.com/Blog/syndication.axd"))
            { feed = SyndicationFeed.Load(r); }

            if (feed==null) { Console.WriteLine("Flux vide."); return; }

            Console.WriteLine(feed.Title.Text);
            Console.WriteLine(feed.Description.Text+"\n");

            var q = from item in feed.Items
                    where item.Summary.Text.ToUpper().Contains("LINQ")
                    select item;

            foreach (var item in q)
                Console.WriteLine(item.Title.Text);


            Console.ReadLine();
        }
    }
}
